Page MenuHomePhabricator

MMV test failures
Closed, ResolvedPublic

Description

Seen on https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MultimediaViewer/+/595758/ and https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php72-docker/66654/console

15:38:19 FAILED TESTS:
15:38:19   mmv.EmbedFileFormatter
15:38:19     ✖ getCreditText():
15:38:19       Chrome Headless 73.0.3683.75 (Linux x86_64)
15:38:19     Sanity check
15:38:19     Expected: "By Author - Source, link"
15:38:19     Actual: "(multimediaviewer-text-embed-credit-text-b: (multimediaviewer-credit: Author, Source), link)"
15:38:19         at Object.<anonymous> (http://localhost:9876/load.php?modules=jquery.client%2Ccolor%2Ccookie%2Cfullscreen%2ChighlightText%2ClengthLimit%2CmakeCollapsible%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.makeCollapsible.styles%7Cjquery.tablesorter.styles%7Cmediawiki.ForeignApi%2CString%2CTitle%2CUri%2Capi%2Ccldr%2Ccookie%2Cexperiments%2Cinspect%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cqunit-testrunner%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.ForeignApi.core%7Cmediawiki.language.months%2Ctestdata%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.special.recentchanges%7Cmediawiki.template.mustache%7Cmediawiki.toc.styles%7Cmediawiki.ui.button%2Cicon%7Cmediawiki.widgets.MediaSearch%2Cstyles%7Cmmv%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Csinonjs%7Cmmv.bootstrap%2Chead%7Cmmv.ui.download.pane%7Cmmv.ui.ondemandshareddependencies%2CtipsyDialog%7Cmmv.ui.reuse.shareembed%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-toolbars.icons%7Coojs-ui-widgets.icons%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-content%2Cindicators%7Ctest.MediaWiki%2CMultimediaViewer%7Cuser.defaults&version=m2e6m:1418:268)
15:38:19         at runTest (node_modules/qunit/qunit/qunit.js:3048:30)
15:38:19         at Test.run (node_modules/qunit/qunit/qunit.js:3034:6)
15:38:19         at node_modules/qunit/qunit/qunit.js:3265:12
15:38:19         at processTaskQueue (node_modules/qunit/qunit/qunit.js:2621:24)
15:38:19         at node_modules/qunit/qunit/qunit.js:2625:8
15:38:19     
15:38:19 
15:38:19     ✖ getCreditHtml():
15:38:19       Chrome Headless 73.0.3683.75 (Linux x86_64)
15:38:19     Sanity check
15:38:19     Expected: "By Author - Source, <a href=\"some link\">Link</a>"
15:38:19     Actual: "(multimediaviewer-html-embed-credit-text-b: (multimediaviewer-credit: Author, Source), <a href=\"some link\">(multimediaviewer-html-embed-credit-link-text)</a>)"
15:38:19         at Object.<anonymous> (http://localhost:9876/load.php?modules=jquery.client%2Ccolor%2Ccookie%2Cfullscreen%2ChighlightText%2ClengthLimit%2CmakeCollapsible%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.makeCollapsible.styles%7Cjquery.tablesorter.styles%7Cmediawiki.ForeignApi%2CString%2CTitle%2CUri%2Capi%2Ccldr%2Ccookie%2Cexperiments%2Cinspect%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cqunit-testrunner%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.ForeignApi.core%7Cmediawiki.language.months%2Ctestdata%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.special.recentchanges%7Cmediawiki.template.mustache%7Cmediawiki.toc.styles%7Cmediawiki.ui.button%2Cicon%7Cmediawiki.widgets.MediaSearch%2Cstyles%7Cmmv%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Csinonjs%7Cmmv.bootstrap%2Chead%7Cmmv.ui.download.pane%7Cmmv.ui.ondemandshareddependencies%2CtipsyDialog%7Cmmv.ui.reuse.shareembed%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-toolbars.icons%7Coojs-ui-widgets.icons%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-content%2Cindicators%7Ctest.MediaWiki%2CMultimediaViewer%7Cuser.defaults&version=m2e6m:1419:106)
15:38:19         at runTest (node_modules/qunit/qunit/qunit.js:3048:30)
15:38:19         at Test.run (node_modules/qunit/qunit/qunit.js:3034:6)
15:38:19         at node_modules/qunit/qunit/qunit.js:3265:12
15:38:19         at processTaskQueue (node_modules/qunit/qunit/qunit.js:2621:24)
15:38:19         at node_modules/qunit/qunit/qunit.js:2625:8
15:38:19     
15:38:19 
15:38:19   mmv.ui.metadataPanel
15:38:19     ✖ Setting location information works as expected
15:38:19       Chrome Headless 73.0.3683.75 (Linux x86_64)
15:38:19     Location text is set as expected - if this fails it may be due to i18n issues.
15:38:19     Expected: "Location: 12° 20′ 44.44″ N, 98° 45′ 55.56″ E"
15:38:19     Actual: "(multimediaviewer-geolocation: (multimediaviewer-geoloc-coords: (multimediaviewer-geoloc-coord: 12, 20, 44.44, (multimediaviewer-geoloc-north)), (multimediaviewer-geoloc-coord: 98, 45, 55.56, (multimediaviewer-geoloc-east))))"
15:38:19         at Object.<anonymous> (http://localhost:9876/load.php?modules=jquery.client%2Ccolor%2Ccookie%2Cfullscreen%2ChighlightText%2ClengthLimit%2CmakeCollapsible%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.makeCollapsible.styles%7Cjquery.tablesorter.styles%7Cmediawiki.ForeignApi%2CString%2CTitle%2CUri%2Capi%2Ccldr%2Ccookie%2Cexperiments%2Cinspect%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cqunit-testrunner%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.ForeignApi.core%7Cmediawiki.language.months%2Ctestdata%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.special.recentchanges%7Cmediawiki.template.mustache%7Cmediawiki.toc.styles%7Cmediawiki.ui.button%2Cicon%7Cmediawiki.widgets.MediaSearch%2Cstyles%7Cmmv%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Csinonjs%7Cmmv.bootstrap%2Chead%7Cmmv.ui.download.pane%7Cmmv.ui.ondemandshareddependencies%2CtipsyDialog%7Cmmv.ui.reuse.shareembed%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-toolbars.icons%7Coojs-ui-widgets.icons%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-content%2Cindicators%7Ctest.MediaWiki%2CMultimediaViewer%7Cuser.defaults&version=m2e6m:1541:468)
15:38:19         at runTest (node_modules/qunit/qunit/qunit.js:3048:30)
15:38:19         at Test.run (node_modules/qunit/qunit/qunit.js:3034:6)
15:38:19         at node_modules/qunit/qunit/qunit.js:3265:12
15:38:19         at processTaskQueue (node_modules/qunit/qunit/qunit.js:2621:24)
15:38:19         at node_modules/qunit/qunit/qunit.js:2625:8
15:38:19     
15:38:19 
15:38:19     ✖ Setting image information works as expected
15:38:19       Chrome Headless 73.0.3683.75 (Linux x86_64)
15:38:19     Source tooltip is correctly set
15:38:19     Expected: true
15:38:19     Actual: false
15:38:19         at Object.<anonymous> (http://localhost:9876/load.php?modules=jquery.client%2Ccolor%2Ccookie%2Cfullscreen%2ChighlightText%2ClengthLimit%2CmakeCollapsible%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.makeCollapsible.styles%7Cjquery.tablesorter.styles%7Cmediawiki.ForeignApi%2CString%2CTitle%2CUri%2Capi%2Ccldr%2Ccookie%2Cexperiments%2Cinspect%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cqunit-testrunner%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.ForeignApi.core%7Cmediawiki.language.months%2Ctestdata%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.special.recentchanges%7Cmediawiki.template.mustache%7Cmediawiki.toc.styles%7Cmediawiki.ui.button%2Cicon%7Cmediawiki.widgets.MediaSearch%2Cstyles%7Cmmv%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Csinonjs%7Cmmv.bootstrap%2Chead%7Cmmv.ui.download.pane%7Cmmv.ui.ondemandshareddependencies%2CtipsyDialog%7Cmmv.ui.reuse.shareembed%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-toolbars.icons%7Coojs-ui-widgets.icons%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-content%2Cindicators%7Ctest.MediaWiki%2CMultimediaViewer%7Cuser.defaults&version=m2e6m:1545:144)
15:38:19         at runTest (node_modules/qunit/qunit/qunit.js:3048:30)
15:38:19         at Test.run (node_modules/qunit/qunit/qunit.js:3034:6)
15:38:19         at node_modules/qunit/qunit/qunit.js:3265:12
15:38:19         at processTaskQueue (node_modules/qunit/qunit/qunit.js:2621:24)
15:38:19         at node_modules/qunit/qunit/qunit.js:2625:8
15:38:19     
15:38:19 
15:38:19   mmv.ui.viewingOptions
15:38:19     ✖ Disable
15:38:19       Chrome Headless 73.0.3683.75 (Linux x86_64)
15:38:19     Disable header has correct text (if this fails, it may be due to i18n differences)
15:38:19     Expected: "Disable Media Viewer?"
15:38:19     Actual: "(multimediaviewer-options-dialog-header)"
15:38:19         at Object.<anonymous> (http://localhost:9876/load.php?modules=jquery.client%2Ccolor%2Ccookie%2Cfullscreen%2ChighlightText%2ClengthLimit%2CmakeCollapsible%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.makeCollapsible.styles%7Cjquery.tablesorter.styles%7Cmediawiki.ForeignApi%2CString%2CTitle%2CUri%2Capi%2Ccldr%2Ccookie%2Cexperiments%2Cinspect%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cqunit-testrunner%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.ForeignApi.core%7Cmediawiki.language.months%2Ctestdata%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.special.recentchanges%7Cmediawiki.template.mustache%7Cmediawiki.toc.styles%7Cmediawiki.ui.button%2Cicon%7Cmediawiki.widgets.MediaSearch%2Cstyles%7Cmmv%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Csinonjs%7Cmmv.bootstrap%2Chead%7Cmmv.ui.download.pane%7Cmmv.ui.ondemandshareddependencies%2CtipsyDialog%7Cmmv.ui.reuse.shareembed%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-toolbars.icons%7Coojs-ui-widgets.icons%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-content%2Cindicators%7Ctest.MediaWiki%2CMultimediaViewer%7Cuser.defaults&version=m2e6m:1586:934)
15:38:19         at runTest (node_modules/qunit/qunit/qunit.js:3048:30)
15:38:19         at Test.run (node_modules/qunit/qunit/qunit.js:3034:6)
15:38:19         at node_modules/qunit/qunit/qunit.js:3265:12
15:38:19         at processTaskQueue (node_modules/qunit/qunit/qunit.js:2621:24)
15:38:19         at node_modules/qunit/qunit/qunit.js:2625:8
15:38:19     
15:38:19 
15:38:19     ✖ Enable
15:38:19       Chrome Headless 73.0.3683.75 (Linux x86_64)
15:38:19     Enable header has correct text (if this fails, it may be due to i18n differences)
15:38:19     Expected: "Enable Media Viewer?"
15:38:19     Actual: "(multimediaviewer-enable-dialog-header)"
15:38:19         at Object.<anonymous> (http://localhost:9876/load.php?modules=jquery.client%2Ccolor%2Ccookie%2Cfullscreen%2ChighlightText%2ClengthLimit%2CmakeCollapsible%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.makeCollapsible.styles%7Cjquery.tablesorter.styles%7Cmediawiki.ForeignApi%2CString%2CTitle%2CUri%2Capi%2Ccldr%2Ccookie%2Cexperiments%2Cinspect%2CjqueryMsg%2Clanguage%2CmessagePoster%2Cqunit-testrunner%2Cstorage%2Ctemplate%2Ctoc%2Cui%2Cuser%2Cutil%2Cviewport%2CvisibleTimeout%2Cwidgets%7Cmediawiki.ForeignApi.core%7Cmediawiki.language.months%2Ctestdata%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.rcfilters.filters.dm%7Cmediawiki.special.recentchanges%7Cmediawiki.template.mustache%7Cmediawiki.toc.styles%7Cmediawiki.ui.button%2Cicon%7Cmediawiki.widgets.MediaSearch%2Cstyles%7Cmmv%2Coojs%2Coojs-router%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Csinonjs%7Cmmv.bootstrap%2Chead%7Cmmv.ui.download.pane%7Cmmv.ui.ondemandshareddependencies%2CtipsyDialog%7Cmmv.ui.reuse.shareembed%7Coojs-ui-core.icons%2Cstyles%7Coojs-ui-toolbars.icons%7Coojs-ui-widgets.icons%7Coojs-ui-windows.icons%7Coojs-ui.styles.icons-content%2Cindicators%7Ctest.MediaWiki%2CMultimediaViewer%7Cuser.defaults&version=m2e6m:1589:735)
15:38:19         at runTest (node_modules/qunit/qunit/qunit.js:3048:30)
15:38:19         at Test.run (node_modules/qunit/qunit/qunit.js:3034:6)
15:38:19         at node_modules/qunit/qunit/qunit.js:3265:12
15:38:19         at processTaskQueue (node_modules/qunit/qunit/qunit.js:2621:24)
15:38:19         at node_modules/qunit/qunit/qunit.js:2625:8
15:38:19     
15:38:19

Event Timeline

Reedy created this task.May 12 2020, 2:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2020, 2:46 PM
Reedy renamed this task from MMW test failures to MMV test failures.May 12 2020, 2:46 PM
Reedy added a project: Browser-Tests.
Restricted Application added a project: Structured-Data-Backlog. · View Herald TranscriptMay 26 2020, 8:04 PM
Krinkle triaged this task as High priority.EditedJun 10 2020, 5:44 PM

Unable to land patches in MultimediaViewer, as well as 3D (which runs the same tests).

FYI to anyone taking up this task: The failures seem to be related to a change some time ago that runs tests in the qqx language instead of en. The fix should be as simple as going to each failing test and changing the expected value to use the new output (as, it appears, nothing is *really* broken).

Extra credit opportunity: Change the tests so they actually test something useful, or remove them as superfluous if that is indeed the case. I assume here that the frontend i18n system already has its own tests, and we may be duplicating effort unnecessarily.

Change 605153 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/MultimediaViewer@master] Fix tests

https://gerrit.wikimedia.org/r/605153

Submitted simple patch to just use the qqx labels. This will unblock MMV & 3D CI.

(The tests are not superfluous, They probably shouldn't rely on comparing message output to validate correct behaviour, but that'd require a decent enough refactor beyond the scope of this ticket :))

Change 605153 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Fix tests

https://gerrit.wikimedia.org/r/605153

Reedy closed this task as Resolved.Jun 12 2020, 1:43 PM